## UDisksEncrypted

UDisksEncrypted — Generated C code for the org.freedesktop.UDisks2.Encrypted D-Bus interface

## Functions

GDBusInterfaceInfo * | udisks_encrypted_interface_info ()
guint | udisks_encrypted_override_properties ()
void | udisks_encrypted_call_unlock ()
gboolean | udisks_encrypted_call_unlock_finish ()
gboolean | udisks_encrypted_call_unlock_sync ()
void | udisks_encrypted_complete_unlock ()
void | udisks_encrypted_call_lock ()
gboolean | udisks_encrypted_call_lock_finish ()
gboolean | udisks_encrypted_call_lock_sync ()
void | udisks_encrypted_complete_lock ()
void | udisks_encrypted_call_change_passphrase ()
gboolean | udisks_encrypted_call_change_passphrase_finish ()
gboolean | udisks_encrypted_call_change_passphrase_sync ()
void | udisks_encrypted_complete_change_passphrase ()
void | udisks_encrypted_call_resize ()
gboolean | udisks_encrypted_call_resize_finish ()
gboolean | udisks_encrypted_call_resize_sync ()
void | udisks_encrypted_complete_resize ()
void | udisks_encrypted_proxy_new ()
UDisksEncrypted * | udisks_encrypted_proxy_new_finish ()
UDisksEncrypted * | udisks_encrypted_proxy_new_sync ()
void | udisks_encrypted_proxy_new_for_bus ()
UDisksEncrypted * | udisks_encrypted_proxy_new_for_bus_finish ()
UDisksEncrypted * | udisks_encrypted_proxy_new_for_bus_sync ()
UDisksEncrypted * | udisks_encrypted_skeleton_new ()

## Properties

GVariant * | child-configuration | Read / Write
gchar * | cleartext-device | Read / Write
gchar * | hint-encryption-type | Read / Write
guint64 | metadata-size | Read / Write

## Signals

gboolean | handle-change-passphrase | Run Last
gboolean | handle-lock | Run Last
gboolean | handle-resize | Run Last
gboolean | handle-unlock | Run Last

## Types and Values

| UDisksEncrypted
struct | UDisksEncryptedIface
struct | UDisksEncryptedProxy
struct | UDisksEncryptedProxyClass
struct | UDisksEncryptedSkeleton
struct | UDisksEncryptedSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksEncrypted
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksEncryptedSkeleton
        │       ╰── UDisksLinuxEncrypted
        ╰── GDBusProxy
            ╰── UDisksEncryptedProxy

## Prerequisites

UDisksEncrypted requires GObject.

## Implemented Interfaces

UDisksEncryptedProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksEncrypted.

UDisksEncryptedSkeleton implements GDBusInterface and UDisksEncrypted.

## Known Implementations

UDisksEncrypted is implemented by UDisksEncryptedProxy, UDisksEncryptedSkeleton and UDisksLinuxEncrypted.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Encrypted D-Bus interface in C.

## Functions

### udisks_encrypted_interface_info ()

    GDBusInterfaceInfo *
    udisks_encrypted_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Encrypted D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_encrypted_override_properties ()

    guint
    udisks_encrypted_override_properties (GObjectClass *klass,
                                          guint property_id_begin);

Overrides all GObject properties in the UDisksEncrypted interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_encrypted_call_unlock ()

    void
    udisks_encrypted_call_unlock (UDisksEncrypted *proxy,
                                  const gchar *arg_passphrase,
                                  GVariant *arg_options,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously invokes the `Unlock()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_encrypted_call_unlock_finish()` to get the result of the operation.

See `udisks_encrypted_call_unlock_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksEncryptedProxy. |
arg_passphrase | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_encrypted_call_unlock_finish ()

    gboolean
    udisks_encrypted_call_unlock_finish (UDisksEncrypted *proxy,
                                         gchar **out_cleartext_device,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `udisks_encrypted_call_unlock()`.

#### Parameters

proxy | A UDisksEncryptedProxy. |
out_cleartext_device | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_encrypted_call_unlock()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_encrypted_call_unlock_sync ()

    gboolean
    udisks_encrypted_call_unlock_sync (UDisksEncrypted *proxy,
                                       const gchar *arg_passphrase,
                                       GVariant *arg_options,
                                       gchar **out_cleartext_device,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously invokes the `Unlock()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_encrypted_call_unlock()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksEncryptedProxy. |
arg_passphrase | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_cleartext_device | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_encrypted_complete_unlock ()

    void
    udisks_encrypted_complete_unlock (UDisksEncrypted *object,
                                      GDBusMethodInvocation *invocation,
                                      const gchar *cleartext_device);

Helper function used in service implementations to finish handling invocations of the `Unlock()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksEncrypted. |
invocation | A GDBusMethodInvocation. | [transfer full]
cleartext_device | Parameter to return. |

### udisks_encrypted_call_lock ()

    void
    udisks_encrypted_call_lock (UDisksEncrypted *proxy,
                                GVariant *arg_options,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously invokes the `Lock()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_encrypted_call_lock_finish()` to get the result of the operation.

See `udisks_encrypted_call_lock_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksEncryptedProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_encrypted_call_lock_finish ()

    gboolean
    udisks_encrypted_call_lock_finish (UDisksEncrypted *proxy,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `udisks_encrypted_call_lock()`.

#### Parameters

proxy | A UDisksEncryptedProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_encrypted_call_lock()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_encrypted_call_lock_sync ()

    gboolean
    udisks_encrypted_call_lock_sync (UDisksEncrypted *proxy,
                                     GVariant *arg_options,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously invokes the `Lock()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_encrypted_call_lock()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksEncryptedProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_encrypted_complete_lock ()

    void
    udisks_encrypted_complete_lock (UDisksEncrypted *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Lock()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksEncrypted. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_encrypted_call_change_passphrase ()

    void
    udisks_encrypted_call_change_passphrase
                                   (UDisksEncrypted *proxy,
                                    const gchar *arg_passphrase,
                                    const gchar *arg_new_passphrase,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ChangePassphrase()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_encrypted_call_change_passphrase_finish()` to get the result of the operation.

See `udisks_encrypted_call_change_passphrase_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksEncryptedProxy. |
arg_passphrase | Argument to pass with the method invocation. |
arg_new_passphrase | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_encrypted_call_change_passphrase_finish ()

    gboolean
    udisks_encrypted_call_change_passphrase_finish
                                   (UDisksEncrypted *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_encrypted_call_change_passphrase()`.

#### Parameters

proxy | A UDisksEncryptedProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_encrypted_call_change_passphrase()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_encrypted_call_change_passphrase_sync ()

    gboolean
    udisks_encrypted_call_change_passphrase_sync
                                   (UDisksEncrypted *proxy,
                                    const gchar *arg_passphrase,
                                    const gchar *arg_new_passphrase,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ChangePassphrase()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_encrypted_call_change_passphrase()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksEncryptedProxy. |
arg_passphrase | Argument to pass with the method invocation. |
arg_new_passphrase | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_encrypted_complete_change_passphrase ()

    void
    udisks_encrypted_complete_change_passphrase
                                   (UDisksEncrypted *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ChangePassphrase()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksEncrypted. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_encrypted_call_resize ()

    void
    udisks_encrypted_call_resize (UDisksEncrypted *proxy,
                                  guint64 arg_size,
                                  GVariant *arg_options,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously invokes the `Resize()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_encrypted_call_resize_finish()` to get the result of the operation.

See `udisks_encrypted_call_resize_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksEncryptedProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_encrypted_call_resize_finish ()

    gboolean
    udisks_encrypted_call_resize_finish (UDisksEncrypted *proxy,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `udisks_encrypted_call_resize()`.

#### Parameters

proxy | A UDisksEncryptedProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_encrypted_call_resize()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_encrypted_call_resize_sync ()

    gboolean
    udisks_encrypted_call_resize_sync (UDisksEncrypted *proxy,
                                       guint64 arg_size,
                                       GVariant *arg_options,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously invokes the `Resize()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_encrypted_call_resize()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksEncryptedProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_encrypted_complete_resize ()

    void
    udisks_encrypted_complete_resize (UDisksEncrypted *object,
                                      GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Resize()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksEncrypted. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_encrypted_proxy_new ()

    void
    udisks_encrypted_proxy_new (GDBusConnection *connection,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Encrypted. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_encrypted_proxy_new_finish()` to get the result of the operation.

See `udisks_encrypted_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_encrypted_proxy_new_finish ()

    UDisksEncrypted *
    udisks_encrypted_proxy_new_finish (GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `udisks_encrypted_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_encrypted_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksEncryptedProxy]

### udisks_encrypted_proxy_new_sync ()

    UDisksEncrypted *
    udisks_encrypted_proxy_new_sync (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Encrypted. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_encrypted_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksEncryptedProxy]

### udisks_encrypted_proxy_new_for_bus ()

    void
    udisks_encrypted_proxy_new_for_bus (GBusType bus_type,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Like `udisks_encrypted_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_encrypted_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_encrypted_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_encrypted_proxy_new_for_bus_finish ()

    UDisksEncrypted *
    udisks_encrypted_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_encrypted_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_encrypted_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksEncryptedProxy]

### udisks_encrypted_proxy_new_for_bus_sync ()

    UDisksEncrypted *
    udisks_encrypted_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_encrypted_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_encrypted_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksEncryptedProxy]

### udisks_encrypted_skeleton_new ()

    UDisksEncrypted *
    udisks_encrypted_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Encrypted.

#### Returns

The skeleton object.

[transfer full][type UDisksEncryptedSkeleton]

## Types and Values

### UDisksEncrypted

    typedef struct _UDisksEncrypted UDisksEncrypted;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Encrypted.

### struct UDisksEncryptedIface

    struct UDisksEncryptedIface {
      GTypeInterface parent_iface;

      gboolean (*handle_change_passphrase) (
        UDisksEncrypted *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_passphrase,
        const gchar *arg_new_passphrase,
        GVariant *arg_options);

      gboolean (*handle_lock) (
        UDisksEncrypted *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_unlock) (
        UDisksEncrypted *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_passphrase,
        GVariant *arg_options);

      GVariant * (*get_child_configuration) (UDisksEncrypted *object);

      const gchar * (*get_cleartext_device) (UDisksEncrypted *object);

      const gchar * (*get_hint_encryption_type) (UDisksEncrypted *object);

      guint64  (*get_metadata_size) (UDisksEncrypted *object);

      gboolean (*handle_resize) (
        UDisksEncrypted *object,
        GDBusMethodInvocation *invocation,
        guint64 arg_size,
        GVariant *arg_options);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Encrypted.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_change_passphrase` () | Handler for the “handle-change-passphrase” signal. |
`handle_lock` () | Handler for the “handle-lock” signal. |
`handle_unlock` () | Handler for the “handle-unlock” signal. |
`get_child_configuration` () | Getter for the “child-configuration” property. |
`get_cleartext_device` () | Getter for the “cleartext-device” property. |
`get_hint_encryption_type` () | Getter for the “hint-encryption-type” property. |
`get_metadata_size` () | Getter for the “metadata-size” property. |
`handle_resize` () | Handler for the “handle-resize” signal. |

### struct UDisksEncryptedProxy

    struct UDisksEncryptedProxy;

The UDisksEncryptedProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksEncryptedProxyClass

    struct UDisksEncryptedProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksEncryptedProxy.

#### Members

### struct UDisksEncryptedSkeleton

    struct UDisksEncryptedSkeleton;

The UDisksEncryptedSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksEncryptedSkeletonClass

    struct UDisksEncryptedSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksEncryptedSkeleton.

#### Members

## Property Details

### The `“child-configuration”` property

      “child-configuration”      GVariant *

Represents the D-Bus property "ChildConfiguration".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksEncrypted

Flags: Read / Write

Allowed values: GVariant<a(sa{sv})>

Default value: NULL

### The `“cleartext-device”` property

      “cleartext-device”         gchar *

Represents the D-Bus property "CleartextDevice".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksEncrypted

Flags: Read / Write

Default value: NULL

### The `“hint-encryption-type”` property

      “hint-encryption-type”     gchar *

Represents the D-Bus property "HintEncryptionType".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksEncrypted

Flags: Read / Write

Default value: NULL

### The `“metadata-size”` property

      “metadata-size”            guint64

Represents the D-Bus property "MetadataSize".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksEncrypted

Flags: Read / Write

Default value: 0

## Signal Details

### The `“handle-change-passphrase”` signal

    gboolean
    user_function (UDisksEncrypted       *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_passphrase,
                   gchar                 *arg_new_passphrase,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ChangePassphrase()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_encrypted_complete_change_passphrase()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksEncrypted. |
invocation | A GDBusMethodInvocation. |
arg_passphrase | Argument passed by remote caller. |
arg_new_passphrase | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-lock”` signal

    gboolean
    user_function (UDisksEncrypted       *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Lock()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_encrypted_complete_lock()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksEncrypted. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-resize”` signal

    gboolean
    user_function (UDisksEncrypted       *object,
                   GDBusMethodInvocation *invocation,
                   guint64                arg_size,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Resize()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_encrypted_complete_resize()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksEncrypted. |
invocation | A GDBusMethodInvocation. |
arg_size | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-unlock”` signal

    gboolean
    user_function (UDisksEncrypted       *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_passphrase,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Unlock()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_encrypted_complete_unlock()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksEncrypted. |
invocation | A GDBusMethodInvocation. |
arg_passphrase | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last